# it's not possible to build this with debuginfo on 32bit archs due to
# memory constraints
%ifarch %{ix86} x32
%define		_enable_debug_packages		0
%endif
Summary:	Toolkit for developing GIS (Geographic Information Systems) applications
Name:		mapnik
Version:	3.0.20
Release:	1
License:	LGPL v2.1
Group:		Applications
Source0:	https://github.com/mapnik/mapnik/releases/download/v%{version}/%{name}-v%{version}.tar.bz2
# Source0-md5:	10da364a50d5ccaf33a8b253ed75aa4f
Patch0:		mapnik-boost_lib_names.patch
Patch2:		icu59.patch
URL:		http://mapnik.org/
BuildRequires:	boost-devel
BuildRequires:	boost-python-devel
BuildRequires:	cairomm-devel
BuildRequires:	curl-devel
BuildRequires:	freetype-devel
BuildRequires:	gdal-devel
BuildRequires:	libicu-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libltdl-devel
BuildRequires:	libpng-devel
BuildRequires:	librasterlite-devel
BuildRequires:	libtiff-devel
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	postgresql-devel
BuildRequires:	proj-devel
BuildRequires:	python-devel
BuildRequires:	python-pycairo-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	scons
BuildRequires:	sqlite3-devel
BuildRequires:	zlib-devel
Obsoletes:	python-mapnik < 3.0.9-1
Suggests:	fonts-TTF-DejaVu
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mapnik is a Free Toolkit for developing mapping applications. It's
written in C++ and there are Python bindings to facilitate fast-paced
agile development. It can comfortably be used for both desktop and web
development, which was something I wanted from the beginning.

Mapnik is about making beautiful maps. It uses the AGG library and
offers world class anti-aliasing rendering with subpixel accuracy for
geographic data. It is written from scratch in modern C++ and doesn't
suffer from design decisions made a decade ago.

%package devel
Summary:	Header files for Mapnik
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Mapnik
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Mapnik.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Mapnik.

%package static
Summary:	Static Mapnik library
Summary(pl.UTF-8):	Statyczna biblioteka Mapnik
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Mapnik library.

%description static -l pl.UTF-8
Statyczna biblioteka Mapnik.

%prep
%setup -q -n %{name}-v%{version}
%patch0 -p1
%patch2 -p1

%build
%scons configure \
	CUSTOM_CXXFLAGS="%{rpmcxxflags}" \
	CUSTOM_CFLAGS="%{rpmcflags}" \
	CUSTOM_LDFLAGS="%{rpmldflags}" \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	BOOST_TOOLKIT=gcc43 \
	INPUT_PLUGINS='csv,gdal,geojson,ogr,pgraster,postgis,raster,shape,sqlite,topojson' \
	SYSTEM_FONTS=%{_datadir}/fonts/TTF \
	LIBDIR_SCHEMA=%{_lib} \
	SVG2PNG=True

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS.md CHANGELOG.md INSTALL.md README.md
%attr(755,root,root) %{_bindir}/mapnik-config
%attr(755,root,root) %{_bindir}/mapnik-index
%attr(755,root,root) %{_bindir}/mapnik-render
%attr(755,root,root) %{_bindir}/shapeindex
%attr(755,root,root) %{_libdir}/libmapnik.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmapnik.so.3.0
%dir %{_libdir}/mapnik
%dir %{_libdir}/mapnik/input
%attr(755,root,root) %{_libdir}/mapnik/input/csv.input
%attr(755,root,root) %{_libdir}/mapnik/input/gdal.input
%attr(755,root,root) %{_libdir}/mapnik/input/geojson.input
%attr(755,root,root) %{_libdir}/mapnik/input/ogr.input
%attr(755,root,root) %{_libdir}/mapnik/input/pgraster.input
%attr(755,root,root) %{_libdir}/mapnik/input/postgis.input
%attr(755,root,root) %{_libdir}/mapnik/input/raster.input
%attr(755,root,root) %{_libdir}/mapnik/input/shape.input
%attr(755,root,root) %{_libdir}/mapnik/input/sqlite.input
%attr(755,root,root) %{_libdir}/mapnik/input/topojson.input

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmapnik.so
%{_includedir}/mapnik
%{_libdir}/libmapnik-json.a
%{_libdir}/libmapnik-wkt.a
%changelog
* Tue May 22 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mapnik.git;a=log;h=master

* Mon May 21 2018 Jan Rękorajski <baggins@pld-linux.org> a5b4c7a
- up to 3.0.20

* Thu Apr 27 2017 Jan Rękorajski <baggins@pld-linux.org> 62393c6
- added icu 59 and gcc 6 c++ fixes

* Wed Apr 26 2017 Jan Rękorajski <baggins@pld-linux.org> 93f70c7
- up to 3.0.12
- use diffrent download URL to make sure we get all git submodules in tarball

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> 1806a33
- rebuild with boost 1.63.0
- release 6 (by relup.sh)

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> e533e75
- rebuild with icu 58.2
- release 5 (by relup.sh)

* Tue May 17 2016 Elan Ruusamäe <glen@delfi.ee> cd3f4b8
- boost 1.61, icu 57.1 rebuild
- release 4 (by relup.sh)

* Sun Jan 03 2016 Jan Rękorajski <baggins@pld-linux.org> 8113000
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 01747b8
- release 2 (by relup.sh)

* Tue Dec 15 2015 Jan Rękorajski <baggins@pld-linux.org> 54fe793
- disable debug on 32bit archs

* Mon Dec 14 2015 Jan Rękorajski <baggins@pld-linux.org> ff95872
- disable parallel build due to huge memory pressure

* Mon Dec 14 2015 Jan Rękorajski <baggins@pld-linux.org> 8b0b342
- finished update to 3.0.9

* Mon Dec 14 2015 Jan Rękorajski <baggins@pld-linux.org> 9885961
- avoild rebuild during install

* Sun Dec 13 2015 Jan Rękorajski <baggins@pld-linux.org> eac0ac8
- up to 3.0.9

* Sun Dec 06 2015 Jan Rękorajski <baggins@pld-linux.org> 3f71871
- fix installing python bindings
- rel 8

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 60fea8d
- release 7 (by relup.sh)

* Fri Nov 20 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 342b242
- release 6 (by relup.sh)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 4a6e8af
- release 5 (by relup.sh)

* Sun Jul 19 2015 Jan Rękorajski <baggins@pld-linux.org> 41e7568
- release 4 (by relup.sh)

* Tue Jun 09 2015 Elan Ruusamäe <glen@delfi.ee> 607fc6e
- icu&boost rebuild
- release 3 (by relup.sh)

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 9c213b9
- rebuild with boost 1.57.0
- release 2 (by relup.sh)

